Subject: Re: [PATCH v2] filter-branch: remove multi-line headers in msg filter

From: Michael J Gruber <[email-masked]>
Date: Mon, 12 Oct 2015 09:26:41 +0200

Junio C Hamano venit, vidit, dixit 09.10.2015 19:53:
> Michael J Gruber <[email-masked]> writes:
> 
>>> Set IFS to an empty string for the “read” call, thus disabling the word
>>> splitting, which causes $header_line to be set to the non-empty value '
>>> '.  This allows the loop to fully consume the header lines before
>>> emitting the original, intact commit message.
>>>
>>> Signed-off-by: James McCoy <[email-masked]>
>>> ---
>>
>> Thanks for hanging in :)
>>
>> Reviewed-by: Michael J Gruber <[email-masked]>
> 
> As long as you are fine with giving authorship to James, I am fine
> with that.  I'll amend what is queued with your reviewed-by above
> and will merge to 'next'.

Yep, I'm fine with "mini-mentoring", and just to be safe, the 7 new
characters in git-filter-branch.sh are (also)

Signed-off-by: Michael J Gruber <[email-masked]>

in case that is needed or preferred.

Michael